> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smolboard.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new TaskTemplate



## OpenAPI

````yaml https://www.smolboard.app/api/openapi.json post /api/entities/tasktemplate
openapi: 3.1.0
info:
  description: Auto-generated API documentation for smolboard
  title: smolboard
  version: 0.1.0
servers:
  - url: ''
security: []
paths:
  /api/entities/tasktemplate:
    post:
      tags:
        - TaskTemplate
      summary: Create a new TaskTemplate
      operationId: createTaskTemplate
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TaskTemplate'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                properties:
                  id:
                    type: string
                type: object
          description: Created
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Validation error
      security:
        - BearerAuth: []
components:
  schemas:
    TaskTemplate:
      properties:
        appliesTo:
          type: string
        description:
          type: string
        dueAt:
          format: date-time
          type: string
        eventId:
          type: string
        formJson:
          description: Arbitrary JSON value
        id:
          type: string
        kind:
          type: string
        orgId:
          type: string
        sortOrder:
          type: integer
        target:
          type: string
        title:
          type: string
      required:
        - id
        - orgId
        - eventId
        - title
        - kind
        - appliesTo
        - sortOrder
      type: object
    Error:
      properties:
        error:
          properties:
            code:
              type: string
            hint:
              type: string
            message:
              type: string
          required:
            - code
            - message
          type: object
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````